standarize restart delays, check that exim is running on remote hosts
[distro-setup] / check-mailq
index bd79f1d0cd3d7cc8edd8247fb2b42308d81e44ba..e84675de55e46d0a90f14a614d97979a674cac8b 100755 (executable)
@@ -7,6 +7,9 @@ if [ -z "$BASH_VERSION" ]; then echo "error: shell is not bash" >&2; exit 1; fi
 set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
+if ! systemctl is-active --quiet exim4; then
+  systemctl status exim4
+fi
 qlen=$(/usr/sbin/exiqgrep -o 60 -c -b | awk '{print $1}')
 if [[ $qlen != 0 ]]; then
   printf "%s" $qlen